capture log close
log using womenlf, replace text
set more off
set scheme sj

use womenlf, clear
recode workstat 2=1

logit workstat husbinc chilpres
logit workstat husbinc chilpres, or

predict prob, p

twoway (line prob husbinc if chilpres==0, sort) ///
 (line prob husbinc if chilpres==1, sort clpatt(dash)),  ///
 legend(order(1 "No child" 2 "Child")) ///
 xtitle("Husband's income / $1000") ytitle("Probability that wife works") 

twoway (function y=1/(1+exp(-(_b[husbinc]*x+_b[_cons]))), range(-100 100)) ///
  (function y=1/(1+exp(-(_b[husbinc]*x+_b[chilpres]+_b[_cons]))), ///
  range(-100 100) clpatt(dash)) , ///
  xtitle("Husband's income / $1000") ytitle("Probability that wife works") ///
  legend(order(1 "No child" 2 "Child")) xline(1) xline(45)

glm workstat husbinc chilpres, link(logit) family(binom)
glm workstat husbinc chilpres, link(probit) family(binom)

probit workstat husbinc chilpres

twoway (function y=1/(1+exp(-(1.3358-0.0423*x))), range(-100 100)) ///
  (function y=norm(0.7982-0.0242*x), range(-100 100) clpatt(dash)) , ///
   xtitle("Husband's income / $1000") ytitle("Probability that wife works") ///
   legend(order(1 "Logit link" 2 "Probit link")) xline(1) xline(45) 
   
log close
exit
