capture log close
log using grader, replace text
set more off
set scheme sj

use essays, clear
quietly tab grader, gen(grad)

* different means
gllamm grade grad2-grad5, i(essay) link(oprobit) adapt
estimates store model1

* different variances
eq het: grad2-grad5
matrix a=e(b)
gllamm grade grad2-grad5, i(essay) link(soprobit) s(het) from(a) adapt
estimates store model2
lrtest model1 model2

* different thresholds
eq thresh: grad2-grad5
matrix a=e(b)
gllamm grade, i(essay) link(soprobit) s(het) thresh(het) from(a) adapt skip
estimates store model3

lrtest model2 model3
lrtest model1 model3

test [_cut11=_cut12=_cut13=_cut14=_cut15=_cut16=_cut17] : grad2
test [_cut11=_cut12=_cut13=_cut14=_cut15=_cut16=_cut17] : grad3
test [_cut11=_cut12=_cut13=_cut14=_cut15=_cut16=_cut17] : grad4
test [_cut11=_cut12=_cut13=_cut14=_cut15=_cut16=_cut17] : grad5

matrix a=e(b)
eq het2: grad2 grad3
gllamm grade grad4 grad5, i(essay) link(oprobit) thresh(het2) from(a) adapt skip

log close
exit
